## r-cran-warp 0.2.0

=== DESCRIPTION ===
Package: warp
Title: Group Dates
Version: 0.2.0
Authors@R: 
    c(person(given = "Davis",
             family = "Vaughan",
             role = c("aut", "cre"),
             email = "davis@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Tooling to group dates by a variety of periods
    including: yearly, monthly, by second, by week of the month, and more.
    The groups are defined in such a way that they also represent the
    distance between dates in terms of the period. This extracts valuable
    information that can be used in further calculations that rely on a
    specific temporal spacing between observations.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/warp
BugReports: https://github.com/DavisVaughan/warp/issues
Depends: R (>= 3.2)
Suggests: covr, testthat (>= 2.1.0), knitr, rmarkdown
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-10-21 17:22:54 UTC; davis
Author: Davis Vaughan [aut, cre],
  RStudio [cph]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2020-10-21 18:00:02 UTC

=== debian/changelog ===
r-cran-warp (0.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 12:42:51 +0100

r-cran-warp (0.1.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 23:16:38 +0200

r-cran-warp (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #971357)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 11:58:09 +0200

=== debian/control ===
Source: r-cran-warp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-warp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-warp.git
Homepage: https://cran.r-project.org/package=warp
Rules-Requires-Root: no

Package: r-cran-warp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tool to group dates
 Tooling to group dates by a variety of periods
 including: yearly, monthly, by second, by week of the month, and more.
 The groups are defined in such a way that they also represent the
 distance between dates in terms of the period. This extracts valuable
 information that can be used in further calculations that rely on a
 specific temporal spacing between observations.

## r-cran-warp 0.2.1

=== DESCRIPTION ===
Package: warp
Title: Group Dates
Version: 0.2.1
Authors@R: c(
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Tooling to group dates by a variety of periods including:
    yearly, monthly, by second, by week of the month, and more.  The
    groups are defined in such a way that they also represent the distance
    between dates in terms of the period. This extracts valuable
    information that can be used in further calculations that rely on a
    specific temporal spacing between observations.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/warp,
        https://davisvaughan.github.io/warp/
BugReports: https://github.com/DavisVaughan/warp/issues
Depends: R (>= 3.2)
Suggests: covr, knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-11-02 13:46:26 UTC; davis
Author: Davis Vaughan [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2023-11-02 17:40:02 UTC

=== debian/changelog ===
r-cran-warp (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:28:40 +0100

r-cran-warp (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix autopkgtests on 32-bit

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Aug 2022 19:57:18 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-warp
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-warp
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-warp.git
+Homepage: https://cran.r-project.org/package=warp
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-warp
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-warp.git
-Homepage: https://cran.r-project.org/package=warp
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-warp
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/warp_([-\d.]*)\.tar\.gz

## r-cran-warp 0.2.3

=== DESCRIPTION ===
Package: warp
Title: Group Dates
Version: 0.2.3
Authors@R: c(
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Tooling to group dates by a variety of periods including:
    yearly, monthly, by second, by week of the month, and more.  The
    groups are defined in such a way that they also represent the distance
    between dates in terms of the period. This extracts valuable
    information that can be used in further calculations that rely on a
    specific temporal spacing between observations.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/warp,
        https://davisvaughan.github.io/warp/
BugReports: https://github.com/DavisVaughan/warp/issues
Depends: R (>= 4.0.0)
Suggests: covr, knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/build/compilation-database: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-11-13
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2026-01-13 02:10:17 UTC; davis
Author: Davis Vaughan [aut, cre],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2026-01-13 06:10:02 UTC

=== debian/changelog ===
r-cran-warp (0.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 14:48:55 +0900

=== debian/control ===
Source: r-cran-warp
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-warp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-warp.git
Homepage: https://cran.r-project.org/package=warp
Rules-Requires-Root: no

Package: r-cran-warp
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R tool to group dates
 Tooling to group dates by a variety of periods
 including: yearly, monthly, by second, by week of the month, and more.
 The groups are defined in such a way that they also represent the
 distance between dates in terms of the period. This extracts valuable
 information that can be used in further calculations that rely on a
 specific temporal spacing between observations.
